# Interface TokenBridgeWrappedRedeemerDerivedAccounts

#### Hierarchy

- TokenBridgeBaseRedeemerDerivedAccounts
  - TokenBridgeWrappedRedeemerDerivedAccounts
    - TokenBridgeDerivedAccounts
    - CompleteTransferWrappedWithPayloadCpiAccounts
    - CompleteTransferWrappedWithPayloadCpiAccounts
    - TokenBridgeDerivedAccounts

- Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/cpi.ts:89

#####
Index

### Properties

tokenBridgeConfig
tokenBridgeMintAuthority
tokenBridgeRedeemer

## Properties

### tokenBridgeConfig

tokenBridgeConfig: PublicKey

seeds = ["config"], seeds::program = tokenBridgeProgram

Inherited from TokenBridgeBaseRedeemerDerivedAccounts.tokenBridgeConfig

- Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/cpi.ts:31

### tokenBridgeMintAuthority

tokenBridgeMintAuthority: PublicKey

seeds = ["mint_signer"], seeds::program = tokenBridgeProgram

- Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/cpi.ts:94

### tokenBridgeRedeemer

tokenBridgeRedeemer: PublicKey

seeds = ["redeemer"], seeds::program = cpiProgramId

Inherited from TokenBridgeBaseRedeemerDerivedAccounts.tokenBridgeRedeemer

- Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/cpi.ts:82

Generated using TypeDoc